Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria.predicate
Class AbstractSimplePredicate

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>
              org.hibernate.ejb.criteria.expression.SelectionImpl<T>
                  org.hibernate.ejb.criteria.expression.ExpressionImpl<Boolean>
                      org.hibernate.ejb.criteria.predicate.AbstractPredicateImpl
                          org.hibernate.ejb.criteria.predicate.AbstractSimplePredicate

All Implemented Interfaces:
  Serializable, Expression<Boolean>, Predicate, Selection<Boolean>, TupleElement<Boolean>, ExpressionImplementor<Boolean>, ParameterContainer, Renderable, SelectionImplementor<Boolean>, TupleElementImplementor<Boolean>

Direct Known Subclasses:
  BetweenPredicate, BooleanAssertionPredicate, BooleanExpressionPredicate, BooleanStaticAssertionPredicate, ComparisonPredicate, ExistsPredicate, ExplicitTruthValueCheck, InPredicate, IsEmptyPredicate, LikePredicate, MemberOfPredicate, NullnessPredicate

    public abstract class AbstractSimplePredicate

extends AbstractPredicateImpl
implements Serializable

TODO : javadoc

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface javax.persistence.criteria.Predicate
`Predicate.BooleanOperator`

Nested classes/interfaces inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`ParameterContainer.Helper`

Constructor Summary
`AbstractSimplePredicate(CriteriaBuilderImpl criteriaBuilder)`

Method Summary
`List<Expression<Boolean>>` | `getExpressions()`
`Predicate.BooleanOperator` | `getOperator()`

Methods inherited from class org.hibernate.ejb.criteria.predicate.AbstractPredicateImpl
`getCompoundSelectionItems, isCompoundSelection, isNegated, not`

Methods inherited from class org.hibernate.ejb.criteria.expression.ExpressionImpl
`as, asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.hibernate.ejb.criteria.expression.SelectionImpl
`alias, getValueHandlers`

Methods inherited from class org.hibernate.ejb.criteria.expression.AbstractTupleElement
`forceConversion, getAlias, getJavaType, getValueHandler, resetJavaType, setAlias`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Methods inherited from interface org.hibernate.ejb.criteria.Renderable
`render, renderProjection`

Methods inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`registerParameters`

Constructor Detail

### AbstractSimplePredicate

    public AbstractSimplePredicate(CriteriaBuilderImpl criteriaBuilder)

Method Detail

### getOperator

    public Predicate.BooleanOperator getOperator()

  Specified by:
    `getOperator` in interface `Predicate`

### getExpressions

    public final List<Expression<Boolean>> getExpressions()

  Specified by:
    `getExpressions` in interface `Predicate`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.